ChartDirector Ver 5.0 (PHP Edition)

LegendBox.setKeySize

Usage

setKeySize(width [, height [, gap ]])

Description

Sets the size of the legend icon and its distance from the legend text.
Each legend entry consists of an icon and a text description. By default, the size of the icon and its distance from the text is determined automatically based on font size. This method can be used to override the default.

Arguments

Argument | Default | Description
--- | --- | ---
width | (Mandatory) | The width of the legend icon in pixels.
height | -1 | The height of the legend icon in pixels. -1 means the height is automatically determined.
gap | -1 | The distance between the legend icon and the legend text in pixels. -1 means the distance is automatically determined.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.